Delete Contact
curl --request DELETE \
--url https://api.automatechats.com/api/contacts/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.automatechats.com/api/contacts/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.automatechats.com/api/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"message": "Contact deleted successfully",
"data": {},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": "error",
"code": 401,
"message": "Unauthorized access: Invalid or missing authentication credentials.",
"timestamp": "2026-05-18T15:00:00.000Z"
}{
"status": "error",
"code": 400,
"message": "Invalid input: field first_name is required.",
"error": "<unknown>",
"timestamp": "2026-05-18T15:00:00.000Z"
}Contacts
Delete Contact
Removes a contact permanently from the workspace.
DELETE
/
api
/
contacts
/
{id}
Delete Contact
Use this endpoint to permanently remove a contact from your workspace.
You must provide the unique 24-character contact
id in the URL path.
This action cannot be undone. You might use this endpoint to comply with data deletion requests or to clean up test contacts.Authorizations
Path Parameters
The unique 24-character ID of the contact to delete.
⌘I
